Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

openstackclient: issubclass() arg 1 must be a class

openstackclient-3.16.1
Last step verify installation
$ openstack network agent list
and first step creating instance
$ openstack network create --share --external --provider-physical-network provider --provider-network-type flat provider
Are giving error: issubclass() arg 1 must be a class
openstackclient doesn't have the string "issubclass" only these dependenciies:
cliff-2.13.0
keystoneauth1-3.10.0
openstacksdk-0.17.2
osc-lib-1.11.1
oslo.utils-3.36.4
python-cinderclient-4.0.1
python-glanceclient-2.13.0
python-novaclient-11.0.0
Which one is causing the problem and how to solve it?

openstackclient: issubclass() arg 1 must be a class

openstackclient-3.16.1
Last step verify installation
$ openstack network agent list
and first step creating instance
$ openstack network create --share --external --provider-physical-network provider --provider-network-type flat provider
Are giving error: issubclass() arg 1 must be a class
openstackclient doesn't have the string "issubclass" only these dependenciies:
cliff-2.13.0
keystoneauth1-3.10.0
openstacksdk-0.17.2
osc-lib-1.11.1
oslo.utils-3.36.4
python-cinderclient-4.0.1
python-glanceclient-2.13.0
python-novaclient-11.0.0
Which one is causing the problem and how to solve it?

Rocky openstackclient: issubclass() arg 1 must be a class

openstackclient-3.16.1
Last step verify installation
$ openstack network agent list
and first step creating instance
$ openstack network create --share --external --provider-physical-network provider --provider-network-type flat provider
Are giving error: issubclass() arg 1 must be a class
openstackclient doesn't have the string "issubclass" only these dependenciies:
cliff-2.13.0
keystoneauth1-3.10.0
openstacksdk-0.17.2
osc-lib-1.11.1
oslo.utils-3.36.4
python-cinderclient-4.0.1
python-glanceclient-2.13.0
python-novaclient-11.0.0
Which one is causing the problem and how to solve it?

[soved with cliff-2.14.0] Rocky openstackclient: issubclass() arg 1 must be a class

openstackclient-3.16.1
Last step verify installation
$ openstack network agent list
and first step creating instance
$ openstack network create --share --external --provider-physical-network provider --provider-network-type flat provider
Are giving error: issubclass() arg 1 must be a class
openstackclient doesn't have the string "issubclass" only these dependenciies:
cliff-2.13.0
keystoneauth1-3.10.0
openstacksdk-0.17.2
osc-lib-1.11.1
oslo.utils-3.36.4
python-cinderclient-4.0.1
python-glanceclient-2.13.0
python-novaclient-11.0.0
Which one is causing the problem and how to solve it?

[soved [solved with cliff-2.14.0] Rocky openstackclient: issubclass() arg 1 must be a class

openstackclient-3.16.1
Last step verify installation
$ openstack network agent list
and first step creating instance
$ openstack network create --share --external --provider-physical-network provider --provider-network-type flat provider
Are giving error: issubclass() arg 1 must be a class
openstackclient doesn't have the string "issubclass" only these dependenciies:
cliff-2.13.0
keystoneauth1-3.10.0
openstacksdk-0.17.2
osc-lib-1.11.1
oslo.utils-3.36.4
python-cinderclient-4.0.1
python-glanceclient-2.13.0
python-novaclient-11.0.0
Which one is causing the problem and how to solve it?

[solved with cliff-2.14.0] [not yet solved] Rocky openstackclient: issubclass() arg 1 must be a class

openstackclient-3.16.1
Last step verify installation
$ openstack network agent list
and first step creating instance
$ openstack network create --share --external --provider-physical-network provider --provider-network-type flat provider
Are giving error: issubclass() arg 1 must be a class
openstackclient doesn't have the string "issubclass" only these dependenciies:
cliff-2.13.0
keystoneauth1-3.10.0
openstacksdk-0.17.2
osc-lib-1.11.1
oslo.utils-3.36.4
python-cinderclient-4.0.1
python-glanceclient-2.13.0
python-novaclient-11.0.0
Which one is causing the problem and how to solve it?

[not yet [partial solved] Rocky openstackclient: issubclass() arg 1 must be a class

openstackclient-3.16.1
Last step verify installation
$ openstack network agent list
and first step creating instance
$ openstack network create --share --external --provider-physical-network provider --provider-network-type flat provider
Are giving error: issubclass() arg 1 must be a class
openstackclient doesn't have the string "issubclass" only these dependenciies:
cliff-2.13.0
keystoneauth1-3.10.0
openstacksdk-0.17.2
osc-lib-1.11.1
oslo.utils-3.36.4
python-cinderclient-4.0.1
python-glanceclient-2.13.0
python-novaclient-11.0.0
Which one is causing the problem and how to solve it?